test('ETA.Geolocation - get', function () {
	var attributes = {
		latitude: 55.540039,
		longitude: 11.591680999999994,
		address: 'Stenlille, Danmark',
		radius: 700000
	};
	var geolocation = new ETA.Geolocation(attributes);
	strictEqual(attributes.latitude, geolocation.get('latitude'));
	strictEqual(attributes.longitude, geolocation.get('longitude'));
	strictEqual(attributes.address, geolocation.get('address'));
	strictEqual(attributes.radius, geolocation.get('radius'));
});

test('ETA.Geolocation - has', function () {
	var attributes = {
		latitude: 55.540039,
		longitude: 11.591680999999994
	};
	var geolocation = new ETA.Geolocation(attributes);
	ok(geolocation.has());
});
